Skip to main content
GET
Retrieve a message

Authorizations

Authorization
string
header
required

Your API key, e.g. sk_live_... or sk_test_....

Path Parameters

message
string<uuid>
required

Message uuid.

Response

The message.

Full message record returned by GET /v1/messages/{uuid}.

uuid
string
request_id
string | null
status
enum<string>
Available options:
queued,
sent,
delivered,
read,
played,
failed
acceptance_status
string | null
direction
enum<string>
Available options:
outbound,
inbound
type
string
to
string
from
string
body
string | null
provider_message_id
string | null
error_message
string | null
metadata
object | null
sent_at
string<date-time> | null
delivered_at
string<date-time> | null
read_at
string<date-time> | null
failed_at
string<date-time> | null
created_at
string<date-time> | null